.\" Copyright (c) 1983, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)lo.4	8.1 (Berkeley) 6/5/93
.\" $FreeBSD: src/share/man/man4/lo.4,v 1.2.2.2 1999/09/05 11:26:57 peter Exp $
.\"
.Dd June 5, 1993
.Dt LO 4
.Os BSD 4.2
.Sh NAME
.Nm lo
.Nd software loopback network interface
.Sh SYNOPSIS
.Sy pseudo-device
.Nm loop
.Sh DESCRIPTION
The
.Nm loop
interface is a software loopback mechanism which may be
used for performance analysis, software testing, and/or local
communication.
As with other network interfaces, the loopback interface must have
network addresses assigned for each address family with which it is to be used.
These addresses
may be set or changed with the
.Dv SIOCSIFADDR
.Xr ioctl 2 .
The loopback interface should be the last interface configured,
as protocols may use the order of configuration as an indication of priority.
The loopback should
.Em never
be configured first unless no hardware
interfaces exist.
.Sh DIAGNOSTICS
.Bl -diag
.It lo%d: can't handle af%d.
The interface was handed
a message with addresses formatted in an unsuitable address
family; the packet was dropped.
.El
.Sh SEE ALSO
.Xr inet 4 ,
.Xr intro 4
.\" .Xr ns 4
.Sh HISTORY
The
.Nm
device appeared in
.Bx 4.2 .
.Sh BUGS
Previous versions of the system enabled the loopback interface
automatically, using a nonstandard Internet address (127.1).
Use of that address is now discouraged; a reserved host address
for the local network should be used instead.
